---
 autocomplete.c | 3 +--
 configure      | 2 +-
 input/lavf.c   | 1 -
 3 files changed, 2 insertions(+), 4 deletions(-)

diff --git a/autocomplete.c b/autocomplete.c
index 37c55845..5754c9c7 100644
--- a/autocomplete.c
+++ b/autocomplete.c
@@ -331,8 +331,7 @@ int x264_cli_autocomplete( const char *prev, const char *cur )
     OPT( "--input-fmt" )
     {
 #if HAVE_LAVF
-        av_register_all();
-        for( const AVInputFormat *f = NULL; (f = av_iformat_next( f )); )
+        for( const AVInputFormat *f = NULL; (f = av_demuxer_iterate( 0 )); )
             suggest_token( f->name, ',' );
 #endif
     }
diff --git a/configure b/configure
index 181a67be..ba0342ac 100755
--- a/configure
+++ b/configure
@@ -1153,7 +1153,7 @@ if [ "$lavf" = "auto" ] ; then
         done
     fi
 
-    if cc_check libavformat/avformat.h "$LAVF_CFLAGS $LAVF_LIBS" "av_register_all();" ; then
+    if cc_check libavformat/avformat.h "$LAVF_CFLAGS $LAVF_LIBS" "av_demuxer_iterate(0);" ; then
         if cc_check libavcodec/avcodec.h "$LAVF_CFLAGS $LAVF_LIBS" "avcodec_send_packet(0,0);" ; then
             lavf="yes"
         else
diff --git a/input/lavf.c b/input/lavf.c
index 3eceae45..75d721bb 100644
--- a/input/lavf.c
+++ b/input/lavf.c
@@ -168,7 +168,6 @@ static int open_file( char *psz_filename, hnd_t *p_handle, video_info_t *info, c
     lavf_hnd_t *h = calloc( 1, sizeof(lavf_hnd_t) );
     if( !h )
         return -1;
-    av_register_all();
     if( !strcmp( psz_filename, "-" ) )
         psz_filename = "pipe:";
 
-- 
2.26.0

